org.springframework.data.mapping.model

## Class DefaultSpELExpressionEvaluator

- java.lang.Object
- - org.springframework.data.mapping.model.DefaultSpELExpressionEvaluator

All Implemented Interfaces:
  SpELExpressionEvaluator

    public class DefaultSpELExpressionEvaluator
    extends Object
    implements SpELExpressionEvaluator

`ParameterValueProvider` implementation that evaluates the `PreferredConstructor.Parameter`s key against `SpelExpressionParser` and `EvaluationContext`.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`DefaultSpELExpressionEvaluator(Object source, SpELContext factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `evaluate(String expression)` Evaluates the given expression.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultSpELExpressionEvaluator

    public DefaultSpELExpressionEvaluator(Object source,
                                          SpELContext factory)

### Method Detail

#### evaluate

    @Nullable
    public <T> T evaluate(String expression)

Description copied from interface: `SpELExpressionEvaluator`
Evaluates the given expression.

Specified by:
  `evaluate` in interface `SpELExpressionEvaluator`
Returns: